## aircrack-ng 1.1-maemo2

=== debian/changelog ===
aircrack-ng (1.1-maemo2) unstable; urgency=low

  * I understand how to update changelogs now.
  * Undid iw dependency until iw maintainer removes conflict

 -- Alexander Kozhevnikov <mentalisttraceur@gmail.com>  Tue, 24 May 2011 21:46:55 -0400
