=== debian/control ===
Source: aircrack-ng
Section: user/network
Priority: extra
Maintainer: Alexander Kozhevnikov <mentalisttraceur@gmail.com>
Build-Depends: debhelper (>= 5), wireless-tools, libssl-dev
Standards-Version: 3.7.2

Package: aircrack-ng
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, wireless-tools
Description: Aircrack-ng is a set of tools for auditing wireless networks.
 Contains:
  airmon-ng: wifi interface mode switcher
  airodump-ng: wifi discovery and monitoring tool, 
  aireplay-ng: inject packets over wifi
  aircrack-ng: test wifi security (...)
  and more...
  Official website: http://www.aircrack-ng.org
