## aircrack-ng 1.1-maemo3

=== debian/changelog ===
aircrack-ng (1.1-maemo3) unstable; urgency=low

  * Testing Unstable and Sqlite support

 -- Alexander Kozhevnikov <mentalisttraceur@gmail.com>  Tue, 24 May 2011 23:24:50 -0400
