=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/network
 Priority: extra
 Maintainer: Alexander Kozhevnikov <mentalisttraceur@gmail.com>
-Build-Depends: debhelper (>= 5), wireless-tools, libssl-dev
+Build-Depends: debhelper (>= 5), wireless-tools, libssl-dev, libsqlite3-dev
 Standards-Version: 3.7.2
 
 Package: aircrack-ng
