=== debian/rules ===
--- 
+++ 
@@ -34,7 +34,7 @@
 	dh_testdir
 
 	# Add here commands to compile the package.
-	$(MAKE)
+	$(MAKE) sqlite=true unstable=true
 	#docbook-to-man debian/aircrack-ng.sgml > aircrack-ng.1
 
 	touch $@
@@ -56,7 +56,7 @@
 	dh_installdirs
 
 	# Add here commands to install the package into debian/aircrack-ng.
-	$(MAKE) DESTDIR=$(CURDIR)/debian/aircrack-ng install
+	$(MAKE) DESTDIR=$(CURDIR)/debian/aircrack-ng install sqlite=true unstable=true
 
 
 # Build architecture-independent files here.
@@ -91,7 +91,7 @@
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
-	maemo-optify
+#	maemo-optify
 	dh_md5sums
 	dh_builddeb
