## aircrack-ng 1.1-maemo4

=== debian/changelog ===
aircrack-ng (1.1-maemo4) unstable; urgency=low

  * Reverted optification tweeking for now.

 -- Alexander Kozhevnikov <mentalisttraceur@gmail.com>  Wed, 25 May 2011 11:38:37 -0400
