## aircrack-ng 1.1-maemo5

=== debian/changelog ===
aircrack-ng (1.1-maemo5) unstable; urgency=low

  * Added bugtracker and generic CLI icon.
  * Changed description to comprehensively list all included binaries.

 -- Alexander Kozhevnikov <mentalisttraceur@gmail.com>  Mon, 30 May 2011 20:54:26 -0400
