## aircrack-ng 1.1-maemo6

=== debian/changelog ===
aircrack-ng (1.1-maemo6) unstable; urgency=low

  * Applied ESSID filtering patch to airodump-ng

 -- Alexander Kozhevnikov <mentalisttraceur@gmail.com>  Tue, 31 May 2011 00:48:16 -0400
