## aircrack-ng 1.1-maemo7

=== debian/changelog ===
aircrack-ng (1.1-maemo7) unstable; urgency=low

  * Testing manual optification of install path
  * Fixed description
  * First attempt at symlinking in postinst

 -- Alexander Kozhevnikov <mentalisttraceur@gmail.com>  Wed,  1 Jun 2011 00:54:56 -0400
