=== debian/control ===
--- 
+++ 
@@ -13,8 +13,9 @@
   airbase-ng, aircrack-ng, airdecap-ng, airdecloak-ng,
   airdriver-ng, aireplay-ng, airmon-ng, airodump-ng,
   airodump-ng-oui-update, airolib-ng, airserv-ng,
-  airtun-ng, besside-ng, buddy-ng, easside-ng, makeivs-ng,
-  packetforge-ng, tkiptun-ng, and wesside-ng.
+  airtun-ng, besside-ng, buddy-ng, easside-ng, ivstools,
+  kstats, makeivs-ng, packetforge-ng, tkiptun-ng,
+  and wesside-ng.
   Official website: http://www.aircrack-ng.org/
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAGXRFWHRTb2Z0
