=== debian/rules ===
--- 
+++ 
@@ -34,7 +34,7 @@
 	dh_testdir
 
 	# Add here commands to compile the package.
-	$(MAKE) sqlite=true unstable=true
+	$(MAKE) sqlite=true unstable=true prefix=/opt/maemo/usr
 	#docbook-to-man debian/aircrack-ng.sgml > aircrack-ng.1
 
 	touch $@
@@ -56,7 +56,7 @@
 	dh_installdirs
 
 	# Add here commands to install the package into debian/aircrack-ng.
-	$(MAKE) DESTDIR=$(CURDIR)/debian/aircrack-ng install sqlite=true unstable=true
+	$(MAKE) DESTDIR=$(CURDIR)/debian/aircrack-ng install sqlite=true unstable=true prefix=/opt/maemo/usr
 
 
 # Build architecture-independent files here.
@@ -68,7 +68,7 @@
 	dh_testdir
 	dh_testroot
 	dh_installchangelogs ChangeLog
-	dh_installdocs
+#	dh_installdocs
 	dh_installexamples
 #	dh_install
 #	dh_installmenu
