## aircrack-ng 1.1-maemo8

=== debian/changelog ===
aircrack-ng (1.1-maemo8) unstable; urgency=low

  * Added prerm script to remove symlinks when uninstalling
  * Added "airmon-zc" to the description list of included binaries

 -- Alexander Kozhevnikov <mentalisttraceur@gmail.com>  Wed,  1 Jun 2011 11:46:16 -0400
