=== debian/changelog ===
aircrack-ng (1.1-maemo9) unstable; urgency=low

  * Added checking for existing symlinks to postinst and prerm scripts

 -- Alexander Kozhevnikov <mentalisttraceur@gmail.com>  Wed,  1 Jun 2011 14:23:30 -0400
