## aircrack-ng 1.1-maemo10

=== debian/changelog ===
aircrack-ng (1.1-maemo10) unstable; urgency=low

  * Add explicit mention of command-line-only-ness to description

 -- Alexander Kozhevnikov <mentalisttraceur@gmail.com>  Wed,  1 Jun 2011 20:19:02 -0400
