=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, wireless-tools
 Description: Aircrack-ng is a set of tools for auditing wireless networks.
- Contains:
+ Contains the follow command-line-only tools:
   airbase-ng, aircrack-ng, airdecap-ng, airdecloak-ng,
   airdriver-ng, aireplay-ng, airmon-ng, airmon-zc,
   airodump-ng, airodump-ng-oui-update, airolib-ng,
