=== scripts/airoscript-ng/src/locale/es_ES/Makefile ===
all: build

build:
	#@msgfmt airoscript.po -o airoscript.mo

install:
	@echo "\t Not installing locale es_ES (Not yet translated)"
	#@$(INSTALLDATA) airoscript.mo $(localedir)/`basename \`pwd\``

uninstall:
	#@rm $(localedir)/`basename \`pwd\``/airoscript.mo

clean:
	#@rm airoscript.mo
