=== debian/changelog ===
aircrack-ng (1.1-maemo11) unstable; urgency=low

  * Fixed typo in prerm script

 -- Alexander Kozhevnikov <mentalisttraceur@gmail.com>  Thu,  2 Jun 2011 02:07:38 -0400
