=== debian/changelog ===
aircrack-ng (1.1-maemo12) unstable; urgency=low

  * Added iw dependency now that I've fixed iw for armel (will probably
    break this package for i386 for now)

 -- Alexander Kozhevnikov <mentalisttraceur@gmail.com>  Sat,  2 Jul 2011 01:09:36 -0400
