=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: aircrack-ng
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, wireless-tools
+Depends: ${shlibs:Depends}, ${misc:Depends}, wireless-tools, iw
 Description: Aircrack-ng is a set of tools for auditing wireless networks.
  Contains the follow command-line-only tools:
   airbase-ng, aircrack-ng, airdecap-ng, airdecloak-ng,
